ISCHROOT(1)

NOME
ischroot - detecta se se está a correr numa chroot

SINOPSE
ischroot [--default-false] [--default-true] [--help] [--version]

DESCRIÇÃO

ischroot detecta se está presentemente a correr numa chroot. O estado ao terminar é:

0   se estiver a correr presentemente numa chroot

1   se não estiver a correr presentemente numa chroot

2   se a detecção não for possível (Em GNU/Linux isto acontece se o script não for executado como root).

OPÇÕES

-f, --default-false
    Termina com o estado 1 se a detecção não for possível.

-t, --default-true
    Termina com o estado 0 se a detecção não for possível.

--help
    Escreve uma mensagem de utilização na saída standard e termina com sucesso.

--version
    Escreve informação da versão na saída standard e termina com sucesso.

BUGS
Em GNU/Linux, a detecção de chroot não é possível quando não se é root. Isto funciona bem em GNU/Hurd e GNU/kFreeBSD.